package com.cm6123.monopoly.game;

import java.util.HashMap;

/**
 * Represents the game board for the game.
 */
public class Board {
    // Using a hashmap from w3schools.com/java/java_hashmap.asp
    /**
     * Calibrating hashmap with positions and tile names.
     */
    public static final HashMap<Integer, String> GAME_BOARD = new HashMap<>();

    /**
     * add a constructor for the board so its creates it and then returns it.
     */

    public Board() {
        createGameBoard();
        getGameBoard();
    }
    // creating the hashmap with the position and name of the tiles
    private void createGameBoard() {
        GAME_BOARD.put(1, "Home");
        GAME_BOARD.put(2, "Road");
        GAME_BOARD.put(3, "Road");
        GAME_BOARD.put(4, "Old Kent Road");
        GAME_BOARD.put(5, "Pall Mall");
        GAME_BOARD.put(6, "Road");
        GAME_BOARD.put(7, "Paddington");
        GAME_BOARD.put(8, "Road");
        GAME_BOARD.put(9, "The Strand");
        GAME_BOARD.put(10, "Road");
        GAME_BOARD.put(11, "Tax Office");
        GAME_BOARD.put(12, "Waterloo");
        GAME_BOARD.put(13, "Leicester Square");
        GAME_BOARD.put(14, "Road");
        GAME_BOARD.put(15, "Park Lane");
        GAME_BOARD.put(16, "Road");
    }

    /**
     * Returns the gameboard hashmap with all the names and positions.
     * @return the GAME_BOARD hashmap
     */
    public static HashMap<Integer, String> getGameBoard() {
        return  GAME_BOARD;
    }

    /**
     * Returns the name of tiles at the specified positions.
     * @param position the position on the gameboard
     * @return the name of the tile at the specified position
     */
    public String getGameBoard(final int position) {
        return  GAME_BOARD.get(position);
    }

    /**
     * sets the tile name in the specified position.
     * @param position the position on the game board
     * @param name the name of the tile set
     */
    public void printHashMap(final int position, final String name) {
        GAME_BOARD.put(position, name);
    }
}
