package com.cm6123.monopoly;


import com.cm6123.monopoly.game.Board;
import com.cm6123.monopoly.game.Player;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class BoardTest {

    @Test
    public void testPlayerPositionChangeAndTileName() {
        // Create a new player starting at position 1
        Player player = new Player("PlayerTest", 1000, 1);

        // Get player's initial position
        int initialPosition = player.getPosition();
        Assertions.assertEquals(1, initialPosition);

        // Change player's position to 5
        player.setPosition(5);

        // Ensure the position has changed to 5
        int newPosition = player.getPosition();
        Assertions.assertEquals(5, newPosition);

        // Create an instance of Board
        Board board = new Board();

        // Retrieve the tile name at the new position using the Board instance
        String tileName = board.getGameBoard(newPosition);
        Assertions.assertEquals("Pall Mall", tileName);
    }
}

